﻿local WhoPinged = WhoPinged;

WhoPinged.options = {
	name = "Who Pinged?",
	type = 'group',
	args = {
		settings = {
			type = "group",
			name = "Who Pinged? Settings",
			desc = "Various settings for Who Pinged?.",
			order = 10,
			args = {
				Disabled = {
					type = "toggle",
					name = "Disable Who Pinged?",
					desc = "Disables Who Pinged?.",
					width = "full",
					get = function(info) return WhoPinged.db.profile.Disabled; end,
					set = function(info, v) WhoPinged.db.profile.Disabled = v; end,
					order = 10
				},
				ServerTime = {
					type = "toggle",
					name = "Display Server Time",
					desc = "Displays Server Time when a player pings (if unchecked it'll display local time).",
					width = "full",
					get = function(info) return WhoPinged.db.profile.ServerTime; end,
					set = function(info, v) WhoPinged.db.profile.ServerTime = v; end,
					order = 30
				},
				DisableInBG = {
					type = "toggle",
					name = "Disable Who Pinged? in Battlegrounds",
					desc = "Disables Who Pinged? while you are in a battleground.",
					width = "full",
					get = function(info) return WhoPinged.db.profile.DisableInBG; end,
					set = function(info, v) WhoPinged.db.profile.DisableInBG = v; end,
					order = 20
				},
			}
		}
	}
}
		

